<?xml version="1.0" encoding="utf-8"?>
<navigation xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/transaction_nav_graph"
    app:startDestination="@id/accountsFragment">

    <fragment
        android:id="@+id/accountsFragment"
        android:name="io.nitrix.zise.ui.home.AccountsFragment"
        android:label="AccountsFragment" >
        <action
            android:id="@+id/action_accountsFragment_to_transactionsFragment"
            app:destination="@id/transactionsFragment"
            app:enterAnim="@android:anim/fade_in"
            app:exitAnim="@android:anim/fade_out"
            app:popEnterAnim="@android:anim/fade_in"
            app:popExitAnim="@android:anim/fade_out" />
    </fragment>
    <fragment
        android:id="@+id/transactionsFragment"
        android:name="io.nitrix.zise.ui.home.TransactionsFragment"
        android:label="TransactionsFragment" >
        <action
            android:id="@+id/action_transactionsFragment_to_transactionDetailsFragment"
            app:destination="@id/transactionDetailsFragment"
            app:enterAnim="@android:anim/fade_in"
            app:exitAnim="@android:anim/fade_out"
            app:popEnterAnim="@android:anim/fade_in"
            app:popExitAnim="@android:anim/fade_out" />
        <argument
            android:name="Ac"
            app:argType="io.nitrix.zise.data.model.AccountItem$Account" />
    </fragment>
    <fragment
        android:id="@+id/transactionDetailsFragment"
        android:name="io.nitrix.zise.ui.home.TransactionDetailsFragment"
        android:label="TransactionDetailsFragment" >
        <argument
            android:name="transaction"
            app:argType="string" />
    </fragment>
</navigation>